<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Students</title>
    <link rel="stylesheet" href="styles/styles.css">
    <script src="script.js"></script>
</head>
<body>
    <div class="topbar-container">
        <a href="https://lpnu.ua/" id="cms-logo">CMS</a>
        <ul id="topbar-items">
            <li>
                <div class="dropdown">
                    <button class="transparent-button"><img src="bell.png" alt="Notification Bell" id="topbar-notification"></button>
                    <div id="new-message">
                        You have new message
                    </div>
                    <div class="dropdown-notification">
                        <div class="dropdown-notification-item">
                            <div class="notification-profile-block">
                                <img src="notification-user.png" class="notification-user-icon">
                                <div>Admin</div>
                            </div>
                            <div class="notification-text">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit.
                            </div>
                        </div>
                        <div class="dropdown-notification-item">
                            <div class="notification-profile-block">
                                <img src="notification-user.png" class="notification-user-icon">
                                <div>John K.</div>
                            </div>
                            <div class="notification-text">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit.
                            </div>
                        </div>
                        <div class="dropdown-notification-item">
                            <div class="notification-profile-block">
                                <img src="notification-user.png" class="notification-user-icon">
                                <div>Ann S.</div>
                            </div>
                            <div class="notification-text">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit.
                            </div>
                        </div>
                    </div>
                </div>
            </li>
            <li>
                <div id="topbar-account">
                    <div class="dropdown">
                        <button class="transparent-button"><img src="user.png" alt="Profile picture" id="profile-picture"></button>
                        <div class="dropdown-account">
                            <p class="dropdown-content">Profile</p>
                            <p class="dropdown-content">Log Out</p>
                        </div>
                    </div>
                    
                    <p id="profile-name">Mykola Sharshatkin</p>
                </div>
            </li>
        </ul>
    </div>
    <div id="main">
        <div id="navbar-container">
            <ul id="navbar-list">
                <li class="navbar-list-item">Dashboard</li>
                <li class="navbar-list-item"><b>Students</b></li>
                <li class="navbar-list-item">Tasks</li>
            </ul>
        </div>
        <div id="table-container">
            <h2 id="header-container">Students</h2>
            <div id="add-button-container">
                <button class="transparent-button" id="add-button" onclick="showInfoDialog(-1)"><img src="plus.png" alt="Add Student Button" class="button-image"></button>
            </div>
            <table class="table-responsive" id="main-table">
                <tr>
                    <th>
                        <input type="checkbox" class="checkbox-btn" id="table-head-checkbox" onclick="tableCheckboxClicked()">
                    </th>
                    <th>Group</th>
                    <th>Name</th>
                    <th>Gender</th>
                    <th>Birthday</th>
                    <th>Status</th>
                    <th>Options</th>
                </tr>
            </table>
            <div id="move-buttons-container">
                <button class="move-buttons">&lt</button>
                <button class="move-buttons">1</button>
                <button class="move-buttons">2</button>
                <button class="move-buttons">3</button>
                <button class="move-buttons">4</button>
                <button class="move-buttons">&gt</button>
            </div>
        </div>
    </div>
    <dialog class="dialog-class" id="close-button-dialog">
        <form method="dialog">
            <div class="dialog-top">
                Warning
                <button class="dialog-button">X</button>
            </div>
            <p id="delete-dialog-inside"></p>
            <div class="dialog-bottom">
                <button class="dialog-button" id="confirm-btn" value="default" onclick="deleteRow()">Confirm</button>
            </div>
        </form>
    </dialog>
    <dialog class="dialog-class" id="info-dialog">
        <form method="dialog">
            <div class="dialog-top">
                <p></p>
                <button class="dialog-button" onclick="closeDialog(this.parentNode.parentNode.parentNode)">X</button>
            </div>
            <div id="info-dialog-inside">
                <div class="info-dialog-content-inside">
                    <label for="group">Group</label>
                    <label for="firstName">First name</label>
                    <label for="lastName">Last name</label>
                    <label for="gender">Gender</label>
                    <label for="birthday">Birthday</label>
                </div>
                <div class="info-dialog-content-inside">
                    <select name="group" id="group">
                        <option value="PZ-21">PZ-21</option>
                        <option value="PZ-22">PZ-22</option>
                        <option value="PZ-23">PZ-23</option>
                        <option value="PZ-24">PZ-24</option>
                        <option value="PZ-25">PZ-25</option>
                        <option value="PZ-26">PZ-26</option>
                    </select>
                    <input type="text" name="firstName" id="firstName" required>
                    <input type="text" name="lastName" id="lastName" required>
                    <select name="gender" id="gender">
                        <option value="M">Male</option>
                        <option value="F">Female</option>
                    </select>
                    <input type="date" name="birthday" id="birthday" required>
                </div>
            </div>
            <div class="dialog-bottom">
                <button class="dialog-button" id="confirm-btn-info" value="default" onclick="addRowToTable()">Confirm</button>
            </div>
        </form>
    </dialog>
</body>
</html>